r20463 - gnucash/branches/2.4/packaging/win32 - [20454] Rework the Windows weekly 2.4 build to avoid parallel builds (which would fail)
Geert Janssens
gjanssens at code.gnucash.org
Thu Mar 24 15:42:04 EDT 2011
Author: gjanssens
Date: 2011-03-24 15:42:04 -0400 (Thu, 24 Mar 2011)
New Revision: 20463
Trac: http://svn.gnucash.org/trac/changeset/20463
Added:
gnucash/branches/2.4/packaging/win32/weekly_build.sh
Removed:
gnucash/branches/2.4/packaging/win32/weekly_build.bat
Modified:
gnucash/branches/2.4/packaging/win32/daily_build.bat
Log:
[20454] Rework the Windows weekly 2.4 build to avoid parallel builds (which would fail)
Modified: gnucash/branches/2.4/packaging/win32/daily_build.bat
===================================================================
--- gnucash/branches/2.4/packaging/win32/daily_build.bat 2011-03-24 19:41:55 UTC (rev 20462)
+++ gnucash/branches/2.4/packaging/win32/daily_build.bat 2011-03-24 19:42:04 UTC (rev 20463)
@@ -3,5 +3,10 @@
rem the daily build and then the tag builds.
cd c:\soft\packaging
+
+rem Development build (daily)
c:\msys\1.0\bin\sh.exe --login c:\soft\packaging\daily_build.sh
+rem Tags build (daily -- only tags that weren't built yet)
c:\msys\1.0\bin\sh.exe --login c:\soft\packaging\build_tags.sh
+rem 2.4 branch build (weekly)
+c:\msys\1.0\bin\sh.exe --login c:\soft\packaging\daily_build.sh c:\soft-2.4\packaging
\ No newline at end of file
Deleted: gnucash/branches/2.4/packaging/win32/weekly_build.bat
===================================================================
--- gnucash/branches/2.4/packaging/win32/weekly_build.bat 2011-03-24 19:41:55 UTC (rev 20462)
+++ gnucash/branches/2.4/packaging/win32/weekly_build.bat 2011-03-24 19:42:04 UTC (rev 20463)
@@ -1,6 +0,0 @@
-rem This is the Windows Batch Script for the daily builds.
-rem It simply calls the actual MSYS Shell script to perform
-rem the daily build and then the tag builds.
-
-cd c:\soft-2.4\packaging
-c:\msys\1.0\bin\sh.exe --login c:\soft-2.4\packaging\daily_build.sh
Added: gnucash/branches/2.4/packaging/win32/weekly_build.sh
===================================================================
--- gnucash/branches/2.4/packaging/win32/weekly_build.sh (rev 0)
+++ gnucash/branches/2.4/packaging/win32/weekly_build.sh 2011-03-24 19:42:04 UTC (rev 20463)
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Note: for this script to work, you need to make sure bash can
+# find svn on your system. If it's not in the default
+# Windows path, you will have to add it yourself, for
+# example like this:
+# - create a file /etc/profile.d/svn.sh
+# - add this line: export PATH=/c/soft/svn/bin:$PATH
+# (Use the real path to your svn installation, obviously)
+
+set -e
+
+# Only run this script on Monday night (first day of the week)
+if [ `date +%u` != 2 ] ; then exit ; fi
+
+function qpushd() { pushd "$@" >/dev/null; }
+function qpopd() { popd >/dev/null; }
+function unix_path() { echo "$*" | sed 's,^\([A-Za-z]\):,/\1,;s,\\,/,g'; }
+
+qpushd "$(dirname $(unix_path "$0"))"
+svn update
+./build_package.sh
+qpopd
More information about the gnucash-changes
mailing list